
Redmine - Defect #5709

"latest projects" should only include projects which have not been archived.

2010-06-18 05:44 - Ikawe Saeem

Status: Closed Start date: 2010-06-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Archived projects are projects which you don't intend to interact with.

If you're not going to interact with them, there's no reason for them to be in the "Latest Projects" list.

History

#1 - 2010-06-19 02:57 - Olafur Gislason

I'm unable to reproduce this bug you are describing.

Could you submit the output of ruby script/about for your application and the revision of redmine ?

When a project has been archived, it is removed from the "Latest Projects" list.

In redmine_trunk (rev 3771).

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /media/DATA/Development/RubyProjects/redmine-trunk

Environment               development

Database adapter          mysql

Database schema version   20100313171051

#2 - 2010-06-21 13:24 - Felix Schäfer

- Tracker changed from Feature to Defect

I just had a quick look at the code, and this shouldn't happen. Could you please provide steps to reproduce?

#3 - 2010-06-21 18:11 - Ikawe Saeem

- Status changed from New to Resolved

You're right, this isn't an issue.

Archived projects are not shown in the latest projects list. I don't know how I convinced myself otherwise. Sorry to waste your time.

#4 - 2010-06-21 19:24 - Felix Schäfer

- Status changed from Resolved to Closed

No problem, and thanks for the interest in helping redmine :-)
